# ImageRefPoolSnapshot class

Snapshot of all alive ImageRefs.

## Constructors

ImageRefPoolSnapshot({required List<ImageRefProfile> imageRefProfiles, int totalMemoryConsumption = 0})
ImageRefPoolSnapshot.fromJson(Map<String, dynamic> json)
  factory

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
imageRefProfiles ↔ List<ImageRefProfile>
  Detailed profiles of all alive ImageRefs.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
totalMemoryConsumption ↔ int
  Estimation of total memory consumption of ImageRefs.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited